Loading...
Searching...
No Matches
opencc::Lexicon Class Reference
OpenCC C++ Comprehensive API

Storage of all entries. More...

`#include <Lexicon.hpp>`

## Public Member Functions

| Lexicon (std::vector< std::unique_ptr< DictEntry > > entries_)
| Lexicon (const Lexicon &)=delete
Lexicon & | operator= (const Lexicon &)=delete
void | Add (DictEntry *entry)
void | Add (std::unique_ptr< DictEntry > entry)
void | Sort ()
bool | IsSorted ()
bool | IsUnique (std::string *dupkey=nullptr)
const DictEntry * | At (size_t index) const
size_t | Length () const
std::vector< std::unique_ptr< DictEntry > >::const_iterator | begin () const
std::vector< std::unique_ptr< DictEntry > >::const_iterator | end () const

## Static Public Member Functions

static LexiconPtr | ParseLexiconFromFile (FILE *fp)

## Detailed Description

Storage of all entries.

The documentation for this class was generated from the following files:

- Lexicon.hpp
- Lexicon.cpp